Bug 639815 - Ensure we detect removed symbols in check-kabi
Ensure we detect removed symbols in check-kabi
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jon Masters
Chao Yang
:
Depends On:
Blocks: RHEL6.1KABI 593390
  Show dependency treegraph
 
Reported: 2010-10-04 02:21 EDT by Jon Masters
Modified: 2011-05-23 16:54 EDT (History)
4 users (show)

See Also:
Fixed In Version: kernel-2.6.32-112.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-23 16:54:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
check-kabi-detect-removed-symbols.patch (70 bytes, patch)
2010-10-04 02:22 EDT, Jon Masters
no flags Details | Diff

  None (edit)
Description Jon Masters 2010-10-04 02:21:51 EDT
Description of problem:

We currently don't detect symbols that were removed from kABI in check-kabi. This is not a problem because RHTS will pick it up, but we should correct this for local kernel test builds, and just for completeness. There's no reason not to immediately fail a build if elements of the kABI are unintentionally removed.

Patch is three lines long and attached to this BZ. We'll test and get it in place for RHEL6.1 development.

Jon.
Comment 1 Jon Masters 2010-10-04 02:22:29 EDT
Created attachment 451343 [details]
check-kabi-detect-removed-symbols.patch
Comment 3 RHEL Product and Program Management 2010-11-18 02:39:40 EST
This request was evaluated by Red Hat Product Management for inclusion
in a Red Hat Enterprise Linux maintenance release. Product Management has 
requested further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed 
products. This request is not yet committed for inclusion in an Update release.
Comment 4 Aristeu Rozanski 2011-02-03 10:46:07 EST
Patch(es) available on kernel-2.6.32-112.el6
Comment 7 Chao Yang 2011-03-07 02:54:32 EST
Verified on kernel-2.6.32-118.el6.
Comment 9 errata-xmlrpc 2011-05-23 16:54:24 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0542.html

Note You need to log in before you can comment on or make changes to this bug.